--- kernel-source-2.4.21/drivers/md/md.c.alt-autorun-refcount	2003-06-13 18:51:34 +0400
+++ kernel-source-2.4.21/drivers/md/md.c	2003-07-11 17:25:33 +0400
@@ -59,7 +59,7 @@
 #endif
 
 #ifndef MODULE
-static void autostart_arrays (void);
+static void autostart_arrays (kdev_t countdev);
 #endif
 
 static mdk_personality_t *pers[MAX_PERSONALITY];
@@ -2614,7 +2614,7 @@
 #ifndef MODULE
 		case RAID_AUTORUN:
 			err = 0;
-			autostart_arrays();
+			autostart_arrays(dev);
 			goto done;
 #endif
 
@@ -3788,7 +3788,7 @@
 }
 
 
-static void autostart_arrays(void)
+static void autostart_arrays(kdev_t countdev)
 {
 	mdk_rdev_t *rdev;
 	int i;
@@ -3819,7 +3819,7 @@
 	}
 	dev_cnt = 0;
 
-	autorun_devices(-1);
+	autorun_devices(countdev);
 }
 
 static struct {
@@ -4045,7 +4045,7 @@
 	if (raid_setup_args.noautodetect)
 		printk(KERN_INFO "md: Skipping autodetection of RAID arrays. (raid=noautodetect)\n");
 	else
-		autostart_arrays();
+		autostart_arrays(-1);
 	md_setup_drive();
 	return 0;
 }
